package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.RecordInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 记录信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-02-07
 */
public interface RecordInfoMapper 
{
    /**
     * 查询记录信息
     * 
     * @param id 记录信息主键
     * @return 记录信息
     */
    public RecordInfo selectRecordInfoById(Long id);

    /**
     * 查询记录信息列表
     * 
     * @param recordInfo 记录信息
     * @return 记录信息集合
     */
    public List<RecordInfo> selectRecordInfoList(RecordInfo recordInfo);

    /**
     * 新增记录信息
     * 
     * @param recordInfo 记录信息
     * @return 结果
     */
    public int insertRecordInfo(RecordInfo recordInfo);

    /**
     * 修改记录信息
     * 
     * @param recordInfo 记录信息
     * @return 结果
     */
    public int updateRecordInfo(RecordInfo recordInfo);

    /**
     * 删除记录信息
     * 
     * @param id 记录信息主键
     * @return 结果
     */
    public int deleteRecordInfoById(Long id);

    /**
     * 批量删除记录信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRecordInfoByIds(Long[] ids);

    RecordInfo selectNewApplyFor(@Param("addresseeId") String addresseeId, @Param("infoType") String infoType);

    int updateRecordInfoIsChange(Long[] ids);
}
